ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-7784) Ganglia Monitor install fail on HDP-2.2
Date Wed, 15 Oct 2014 14:50:34 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-7784?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14172431#comment-14172431
] 

Hudson commented on AMBARI-7784:
--------------------------------

SUCCESS: Integrated in Ambari-branch-1.7.0 #100 (See [https://builds.apache.org/job/Ambari-branch-1.7.0/100/])
AMBARI-7784 Ganglia Monitor install fail on HDP-2.2 (dsen) (dsen: http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=36b2c0cd66e4925b6365fdd8f78243f23bb96c74)
* ambari-server/src/main/resources/stacks/HDP/2.0.6/hooks/after-INSTALL/scripts/shared_initialization.py


> Ganglia Monitor install fail on HDP-2.2
> ---------------------------------------
>
>                 Key: AMBARI-7784
>                 URL: https://issues.apache.org/jira/browse/AMBARI-7784
>             Project: Ambari
>          Issue Type: Bug
>          Components: stacks
>    Affects Versions: 1.7.0
>         Environment: HDP2.2
>            Reporter: Dmytro Sen
>            Assignee: Dmytro Sen
>            Priority: Blocker
>             Fix For: 1.7.0
>
>
> Faced this issue on 5-node cluster. Looks like the issue is related to versioned packages
and/or cluster configuration. On this node, only Nagios and Gmond are selected to be installed.
> {code}
> 2014-10-14 18:40:06,289 - Error while executing command 'install':
> Traceback (most recent call last):
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 122, in execute
>     method(env)
>   File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/hooks/after-INSTALL/scripts/hook.py",
line 31, in hook
>     setup_hdp_install_directory()
>   File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/hooks/after-INSTALL/scripts/shared_initialization.py",
line 25, in setup_hdp_install_directory
>     Execute(format('ambari-python-wrap /usr/bin/hdp-select set all `ambari-python-wrap
/usr/bin/hdp-select versions | grep ^{rpm_version}- | tail -1`')
>   File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 148,
in __init__
>     self.env.run()
>   File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line
149, in run
>     self.run_action(resource, action)
>   File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line
115, in run_action
>     provider_action()
>   File "/usr/lib/python2.6/site-packages/resource_management/core/providers/system.py",
line 237, in action_run
>     raise ex
> Fail: Execution of 'ambari-python-wrap /usr/bin/hdp-select set all `ambari-python-wrap
/usr/bin/hdp-select versions | grep ^2.2.0.0- | tail -1`' returned 1. Traceback (most recent
call last):
>   File "/usr/bin/hdp-select", line 337, in <module>
>     printVersions()
>   File "/usr/bin/hdp-select", line 200, in printVersions
>     for f in os.listdir(root):
> OSError: [Errno 2] No such file or directory: '/usr/hdp'
> ERROR: set command takes 2 parameters, instead of 1
> usage: hdp-select [-h] [<command>] [<package>] [<version>]
> Set the selected version of HDP.
> positional arguments:
>   <command>   One of set, status, versions, or packages
>   <package>   the package name to set
>   <version>   the HDP version to set
> optional arguments:
>   -h, --help  show this help message and exit
> Commands:
>   set      : set the package to a specified version
>   status   : show the version of the package
>   versions : show the currently installed versions
>   packages : show the individual package names
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message